package com.securecom;

import java.util.List;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.securecom.deviceinfoendpoint.model.DeviceInfo;
import com.securecom.messageEndpoint.model.MessageData;

public class DeviceInfoAdapter extends ArrayAdapter<DeviceInfo> {
	
	private Context context;
	
	public DeviceInfoAdapter(Context context, int resource, int textViewResourceId, List<DeviceInfo> items) {
		super(context, resource, textViewResourceId, items);
		this.context = context;
	}
	
	@Override
    public View getView(int position, View convertView, ViewGroup parent) {
		View v = convertView;
        if (v == null) {
            v = new TextView(context);
        }

        DeviceInfo m = this.getItem(position);
        
        ((TextView) v).setText(m.getDeviceName());
        
        return v;
    }
}